### Hierarchy

- Controller

## Index

### Properties

- $scope_
- accuracyFeature_
- featureOverlay_
- follow_
- geolocation_
- gettextCatalog_
- loading
- map
- options
- positionFeature_
- viewChangedByMe_

### Methods

- $onInit
- autoRotateListener
- handleRotate_
- handleViewChange_
- setPosition_
- toggleTracking
- track_
- untrack_

## Properties

### $scope_

$scope_: IScope

- Defined in src/geolocation/component.js:103

### accuracyFeature_

accuracyFeature_: Feature<Geometry>

- Defined in src/geolocation/component.js:192

### featureOverlay_

featureOverlay_: FeatureOverlay

- Defined in src/geolocation/component.js:133

### follow_

follow_: boolean

- Defined in src/geolocation/component.js:201

Whether to recenter the map at the position it gets updated

### geolocation_

geolocation_: Geolocation

- Defined in src/geolocation/component.js:138

### gettextCatalog_

gettextCatalog_: gettextCatalog

- Defined in src/geolocation/component.js:108

### loading

loading: boolean

### map

map: Map

### options

options: ngeoGeolocationOptions

- Defined in src/geolocation/component.js:96

### positionFeature_

positionFeature_: Feature<Geometry>

- Defined in src/geolocation/component.js:185

### viewChangedByMe_

viewChangedByMe_: boolean

- Defined in src/geolocation/component.js:209

A flag used to determine whether the view was changed by me or something else. In the latter case, stop following.

## Methods

### $onInit

- $onInit(): void

- - Defined in src/geolocation/component.js:125

  #### Returns void

### autoRotateListener

- autoRotateListener(): void

- - Defined in src/geolocation/component.js:335

  #### Returns void

### handleRotate_

- handleRotate_(eventAlpha: number, currentAlpha: number): number

- - Defined in src/geolocation/component.js:381

  Handle rotation.

  #### Parameters

  - ##### eventAlpha: number

  - ##### currentAlpha: number

  #### Returns number

### handleViewChange_

- handleViewChange_(event: BaseEvent | Event): void

- - Defined in src/geolocation/component.js:328

  #### Parameters

  - ##### event: BaseEvent | Event

    Event.

  #### Returns void

### setPosition_

- setPosition_(): void

- - Defined in src/geolocation/component.js:298

  #### Returns void

### toggleTracking

- toggleTracking(): void

- - Defined in src/geolocation/component.js:253

  #### Returns void

### track_

- track_(): void

- - Defined in src/geolocation/component.js:284

  #### Returns void

### untrack_

- untrack_(): void

- - Defined in src/geolocation/component.js:291

  #### Returns void

Generated using TypeDoc